<template>
	<div id="q-app">
		<router-view />
	</div>
</template>

<script>
	export default {
		name: "App",
		created() {
			if (!this.$q.cookies.has("darkmode")) {
				this.$q.cookies.set("darkmode", true, {
					expires: 365,
					path: "/",
					sameSite: "Strict"
				});
			}
			if (/MSIE|Trident/.test(window.navigator.userAgent)) {
				this.$fire({
					title: this.$i18n.t("error.warning"),
					html: this.$i18n.t("error.IE"),
					type: "warning"
				});
			}
		}
	};
</script>

<style>
	li {
		/* To ensure chrome compatability */
		list-style: none;
	}
</style>
